package com.thebrokenrail.energonrelics.block.util;

import com.thebrokenrail.energonrelics.EnergonRelics;
import net.minecraft.block.Block;
import net.minecraft.item.BlockItem;
import net.minecraft.item.Item;
import net.minecraft.util.Identifier;
import net.minecraft.util.registry.Registry;

public class SimpleBlock extends Block {
    public SimpleBlock(Settings settings) {
        super(settings);
    }

    public void register(String name) {
        Registry.register(Registry.BLOCK, new Identifier(EnergonRelics.NAMESPACE, name), this);
        if (registerItem()) {
            Registry.register(Registry.ITEM, new Identifier(EnergonRelics.NAMESPACE, name), new BlockItem(this, new Item.Settings().group(EnergonRelics.ITEM_GROUP)));
        }
    }

    protected boolean registerItem() {
        return true;
    }
}
