package com.thebrokenrail.energonrelics.energy.core.util;

import net.minecraft.util.math.Vec3d;
import net.minecraft.util.registry.RegistryKey;
import net.minecraft.world.World;

public interface EnergyProvider {
    void addPropagatedAction(Action.PropagatedAction action);
    boolean isNetwork(int network);
    boolean isWithinDistance(Vec3d pos);
    RegistryKey<World> getRegistryKey();
}
